×
Kunena 5.1.15 Released (27 Oct 2019)

The Kunena team has announce the arrival of Kunena 5.1.15 [K 5.1.15] which is now available for download as a native Joomla extension for J! 3.9.x. This version addresses most of the issues that were discovered in K 5.1 and issues discovered during the development stages of K 5.1.

× Topics that are moved into this category are generally considered to be closed. Users may want to add additional information but these topics should not be resurrected in order to discuss new problems or unrelated matters.

Question Will templates for 1.0.10 work with 1.5.3?

More
10 years 4 months ago #1 by latino
Hi:

Have a question regarding templates compatibility, Will templates for 1.0.10 work with 1.5.3?

TIA

;)

Please Log in or Create an account to join the conversation.

More
10 years 4 months ago #2 by Lintzy
I guess, this post from Matias will answer your question:

www.kunena.com/forum/111-templates-and-d...plate-designer#15118

Please Log in or Create an account to join the conversation.

More
10 years 4 months ago #3 by Matias
Well, I can say it in here: none of the templates will work in K1.5, don't even brother to try. :)

I do have automatic upgrade script (written in Python) to make them to work, but I need to clean it up as there are some incremental (conflicting) rules in it.

Please Log in or Create an account to join the conversation.

More
10 years 4 months ago #4 by Repelzteeltje
Matias wrote:

Well, I can say it in here: none of the templates will work in K1.5, don't even brother to try. :)

I do have automatic upgrade script (written in Python) to make them to work, but I need to clean it up as there are some incremental (conflicting) rules in it.


If you need a template to test.... I've got one ;)

Please Log in or Create an account to join the conversation.

More
10 years 4 months ago #5 by NRyan115
I dont understand, so everytime kunena is updated I cant use any templates?

I am using fireboard like 1.06 or something and have been happy. I have made a second site to demo new modules and I have installed 1.5 kunena to see if i want to upgrade. Now, I understand that my fireboard template wont work but i just downloaded like 15 templates from the forum here and every single one gives an error. Some have two versions - 1.0.10 and unspecified. Neither work. WTF - how is it better to have exactly ZERO options for customization?

I cant use this, i cant convince others ot use it, and i certainly could never get my customers to want this.

Please Log in or Create an account to join the conversation.

More
10 years 4 months ago - 10 years 4 months ago #6 by fxstein
NRyan115 wrote:

I dont understand, so everytime kunena is updated I cant use any templates?

I am using fireboard like 1.06 or something and have been happy. I have made a second site to demo new modules and I have installed 1.5 kunena to see if i want to upgrade. Now, I understand that my fireboard template wont work but i just downloaded like 15 templates from the forum here and every single one gives an error. Some have two versions - 1.0.10 and unspecified. Neither work. WTF - how is it better to have exactly ZERO options for customization?

I cant use this, i cant convince others ot use it, and i certainly could never get my customers to want this.


Hi,

Sorry about your issue but please understand that major version changes ALWAYS require new sets of templates.

It is the very same for Joomla itself. You cannot use a Joomla 1.0 template on a Joomla 1.5 install or vice versa.

Kunena 1.5 stable was just released less than 24h ago. It will take some time for template designers to come out with templates for it. Usually the community is very quick - so I expect to see templates for it within the next few days and weeks. If you like a particular one, I suggest you contact the template designer to see if and when they plan to release a version for 1.5.3

Hope this helps!

fxstein

We love stars on the Joomla Extension Directory . :-)
Last edit: 10 years 4 months ago by fxstein.

Please Log in or Create an account to join the conversation.

More
10 years 4 months ago #7 by JBHawaii
Took me 5 mins to convert my k1.0.10 template -> K1.5.3...

By using tools like "UltraCompare Professional" from (IDM Computer Solutions). Just load K1.0.10 on one side and K1.5.3 on the other side. it finds the difference in code and allows you to decide what should be changed.

Mahalo,
JBHawaii

Please Log in or Create an account to join the conversation.

More
10 years 4 months ago #8 by severdia
BBedit on the Mac does the same thing and allows you to step through each difference and update one or the other. An expert user could be done in 5 minutes, but a less-advanced user might take longer....but not too long.

Author of Using Joomla from O'Reilly Media. | www.usingjoomlabook.com

Please Log in or Create an account to join the conversation.

More
10 years 4 months ago #9 by NRyan115
Well, I had no idea it was less than a day old, i just visited and downloaded it today, having never really known that fireboard had stoped. I thoughtit was out for months. There is no release date next to the downloads.

Also, I understand what you are saying about joomla templates - however it is more than that with kunena. Otherwise there would only be two types, 1.0.10 and 1.5.3 but it looks like 1.0.10 is a special set all byitself and that older versions require their own templates too. Everyone has 'templates' and '1.0.10 templates'. Now they will have to make 1.5 templates' as well.

Please Log in or Create an account to join the conversation.

More
10 years 4 months ago - 10 years 4 months ago #10 by Lintzy
You can change a template easy, with changing images and CSS-file (<- colours and positions etc). This should work in every Kunena version (perhaps there are a few existing differences in the css-files).

But many template-designers modify some php.files too. Every new template is a copy of the template default_ex.

And on this base you will make your new template. If you used the easy solution (only images and CSS-file) and you have installed a new Kunena Version (e.g. new= Kunena 1.5.3), copy Template default_ex from Kunena 1.5.3 a second time, rename it and insert the new images and the changed CSS-File.

But if you changed php.files too in older Kunena Version, for example the message.php, match message.php from the older KN Version with the new KN Version 1.5.3 and insert your changes in message.php from 1.5.3.

My templates (for example) have 40 modified files (nothing what will be done in 5 minutes). I made them for 1.0.9 and 1.0.10, not one of them will work with another Kunena Version without the written way of updating the files.
Last edit: 10 years 4 months ago by Lintzy.

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.090 seconds